Subject: Re: bug#34722: 26.1; REGRESSION: `indent-pp-sexp' Wrong type argument: consp, nil

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Mar 2019 21:28:31 +0200

> Date: Sun, 3 Mar 2019 10:57:30 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Can you at least repro it in Emacs 26?
> > No, I cannot.
> 
> I see.  I can. ;-)
> 
> Perhaps you did not type the extra right
> paren at the end?

I did.

> Or perhaps you did not enter a newline after that?

I did.

> Could you please try emacs -Q, then C-x C-f
> for the attached file?

Same result with Emacs 26.

> With the Emacs 26.1 release build I cited
> this should be 100% reproducible.  It is
> for me.

With stock Emacs 26.1, I see this, yes.  But not with what will be
Emacs 26.2.  (You said "Emacs 26" earlier, so I tried the latest
pretest.)